#!/bin/bash

data=`date +"%H:%M  %d-%m-%Y"`


if [ -e /etc/Linkat/linkat-server/Entorn_env ];then
	. /etc/Linkat/linkat-server/Entorn_env
	if [ ! $? -eq 0 ];then
		echo -en "Error:: No s'ha pogut carregar l'entorn de treball \n"
	fi
else
	echo -en "Error:: No s'ha trobat el fixer d'entorn\n"
fi



res=$(`which whoami` | grep root 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Error:: L'execució de la instal·lació s'ha de fer amb usuari root \n"
	${ZENITY} --title="$TITLE" --error --text="L'execució de la instal·lació s'ha de fer amb usuari root. Torna a executar: \n\n/etc/Linkat/linkat-server/Linkat.sh install\n\n\n"
	exit 1
fi

data=`date +"%Y%m%d_%H%M"`

LOG=/var/log/linkat_server_config_$data.log
touch $LOG
chmod 0400 $LOG
export LOG=$LOG

echo "L'execució es registra al log: $LOG"
$DIR_LINKAT/Linkat.installer $* 2>&1 | tee ${LOG}

