#!/bin/bash
#
#       95 - Finish
#

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo -en "[$date] Creant la marca de modalitat d'aula\n"
echo "****************************************************"
echo "servidor" > /etc/modalitat_linkat
if [ ! $? -eq 0 ];then
	echo -en "Error creant la marca d'instal·lació"
else
	echo -en "Ok, marca creada correctament\n"
fi

echo -en "Establint permisos de la marca d'instal·lació: \n"
res=$(chmod 664 /etc/modalitat_linkat 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "\n\tError:: Error de permisos al fitxer /etc/modalitat_linkat: $res \n"
else
	echo -en "Ok \n"
fi


#Aplicant ACL a la paperera al finalitzar tots els processos 
res=$(getfacl /srv/exports/G | setfacl --set-file=- /srv/exports/Paperera/Paperera_Unitat_G 2>&1)
res=$(getfacl /srv/exports/P | setfacl --set-file=- /srv/exports/Paperera/Paperera_Unitat_P 2>&1)
res=$(getfacl /srv/exports/T | setfacl --set-file=- /srv/exports/Paperera/Paperera_Unitat_T 2>&1)
res=$(getfacl /srv/exports/M | setfacl --set-file=- /srv/exports/Paperera/Paperera_Unitat_M 2>&1)

setfacl -R -m default:group:Editors:rwx -m group:Editors:rwx  /srv/exports/S
