#!/bin/bash
#
# Zenity GUI to request a valid password for root user.
#

. /etc/Linkat/linkat-server/Entorn_env

$ZENITY --warning --title="Contrasenya root" --text="Aquest pas modificarà la contrasenya de l'usuari root del sistema. \n\nSi coneixeu la contrasenya de l'usuari root, cal que la introduïu.\nSi no en té, cal que introduïu una de nova. \nTingueu en compte que aquesta contrasenya s'assignarà a l'usuari root del sistema."  

FI=0
while [ $FI -eq 0 ] ; do
	FI=1
	PASS_1=$($ZENITY --title="Contrasenya root" --entry --text="Introduïu la contrasenya de l'usuari root del sistema." --hide-text)
	if [ -z $PASS_1 ] ; then
		FI=0
		$ZENITY --title="Contrasenya root" --error --text="La contrasenya no pot ser buida!" --timeout=20
	else
		PASS_2=$($ZENITY --title="Contrasenya root" --entry --text="Torneu a introduir la contrasenya de l'usuari root del sistema." --hide-text)
		if [[ -z $PASS_2 || $PASS_1 != $PASS_2 ]] ; then
			FI=0
			$ZENITY --title="Contrasenya root" --error --text="Les contrasenyes no coincideixen!" --timeout=20
		fi	
	fi

done

/usr/bin/expect <<EOD
    spawn passwd root
    expect "ova contrase"
    send "$PASS_1\r"
    expect "Torneu"
    send "$PASS_1\r"
    expect eof
EOD

$ZENITY --info --title="Contrasenya root" --text="S'ha modificat la contrasenya correctament" --timeout=20

echo "export PASS_ROOT="$PASS_1 >> $DIR_LINKAT/.entornvarlinkat


