#!/bin/bash
echo -en  "\n*** 06-ldap-auth \n"
. /etc/Linkat/linkat-server/serveis/LDAP/install/config-ldap

err=0

##Instal·lat paquets autenticació LDAP

killall update-manager update-notifier

sudo apt-get -y install libnss-ldap ldap-auth-config

if [ ! $? -eq 0 ]; then
        echo "Error:: No s'ha pogut instal·lar el paquet libnss-ldap"
        err=1
else
        echo "Succeed: Paquet libnss-ldap instal·lat"
fi

sudo auth-client-config -t nss -p lac_ldap

##Modificant Lightdm per no mostrar els usuaris
cp $DATA/60-linkat-server-lightdm.conf /usr/share/lightdm/lightdm.conf.d/

mkdir -p /usr/share/pam-configs/

##Creant els homes dels usuaris LDAP automàticamnet
sudo cp $DATA/create-home-ldap-users /usr/share/pam-configs/
sudo cp $DATA/linkat-grups /usr/share/pam-configs/

### Potser no és necessari ###
echo "session required pam_mkhomedir.so skel=/etc/skel/ umask=0077" >> /etc/pam.d/common-session 

sudo pam-auth-update

if [ ! $err -eq 0 ]; then
	echo "Error:: Alguna cosa no ha anat correctament!"
else
	echo "Succeed: Tot correcte"
fi


