#!/bin/bash
#
# Desconfig. NetworkManager
#
. /etc/Linkat/linkat-server/Entorn_env

. /etc/Linkat/linkat-server/.entornvarlinkat

# network-manager stop
res=$(service network-manager stop)
if [ $? -eq 0 ];then
	sleep 5
	echo "Servei network-manager aturat:  $res "
fi


res=$(cp /etc/NetworkManager/NetworkManager.conf $DIR_NET/backup/NetworkManager.conf.ori 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Error:: No s'ha pogut fer una còpia de seguretat de NetworkManager: $res\n"
fi

res=$(cp $DIR_NET/data/NetworkManager.conf.Linkat /etc/NetworkManager/NetworkManager.conf 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Error:: Hi ha hagut un error al aplicar la configuració del NetworkManager: $res\n"
else
	if [ -e /etc/xdg/autostart/nm-applet.desktop ];then	
		res=$(mv /etc/xdg/autostart/nm-applet.desktop $DIR_NET/backup/nm-applet.desktop.ori 2>&1)
		if [ ! $? -eq 0 ];then
			echo -en "Error:: Hi ha hagut un error al aplicar la configuració del NetworkManager: $res\n"
		else	
			echo -en "Success:: S'ha aplicat correctament la configuració del NetworkManager \n"
		fi
	fi
fi





