#!/bin/bash
#
#  1 - Configure host and domain name and network parameters
#
 
date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo "[$date] Configurant nom de màquina:"
echo "****************************************************"

. /etc/Linkat/linkat-server/Entorn_env

. /etc/Linkat/linkat-server/.entornvarlinkat



if [ -e /etc/hostname ]; then
	res=$(cp /etc/hostname $DIR_NET/backup/hostname.orig 2>&1)
	if [ ! $? -eq 0 ];then
		echo -en "Error:: No s'ha pogut fer una còpia de seguretat del fitxer /etc/hostname: $res \n"
	fi
fi  
   

res=$(cp $DIR_NET/data/hostname.Linkat /etc/hostname 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Error:: No s'ha pogut configurar hostname /etc/hostname: $res \n"
else
	echo -en "Success: Canviat el fitxer /etc/hostname\n"
	res=$(chmod 644 /etc/hostname && chown root:root /etc/hostname 2>&1)
	if [ ! $? -eq 0 ];then
		echo -en "Error:: No s'ha pogut substituir el fitxer /etc/hostname: $res \n"
	fi
fi


if [ -e /etc/hosts ]; then
	res=$(cp /etc/hosts $DIR_NET/backup/hosts.orig 2>&1)
	if [ ! $? -eq 0 ];then
		echo -en "Error:: No s'ha pogut fer una copia de seguretat del fitxer /etc/hosts: $res \n"
	fi
fi      


res=$(cat $DIR_NET/data/hosts.Linkat | sed s/__DOMINI__/$DOMINI/g | sed s/__NOM__/$NOM/g > /etc/hosts 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Error:: No s'ha pogut substituir el fitxer /etc/hosts: $res\n"
else
	echo -en "Success: Canviat el fitxer /etc/hosts\n"
	res=$(chmod 644 /etc/hosts && chown root:root /etc/hosts 2>&1)
	if [ ! $? -eq 0 ];then
		echo -en "Error:: No s'ha pogut substituir el fitxer /etc/hosts: $res\n"
	fi
fi      







