#!/bin/bash

. /etc/Linkat/linkat-server/serveis/WEBMIN/install/config-webmin

WEBMIN_CONFIG="/etc/webmin"
GETLOCALSID=$(net getlocalsid | awk '{print $6}')



## Fent backup del webmin ###

cd $WEBMIN_CONFIG
cp -av config miniserv.users webmin.acl ldap-useradmin $DIR_WEBMIN/backup/
if [ $? -eq 0 ]; then
	echo -en "Fitxers originals del webmin copiats a backup"
else
	echo -en "Error:: No s'han pogut copiar els fitxers originals del Webmin al backup"
fi

cat $DATA/ldap-useradmin/config.linkat | \
        sed s/__DOMINI__/$DOMINI/g | \
	sed s/__PASSLDAP__/$PASS_LDAP/g | \
	sed s/__GETLOCALSID__/$GETLOCALSID/g \
        > $WEBMIN_CONFIG/ldap-useradmin/config
if [ ! $? -eq 0 ]; then
        echo -en "Error: No s'ha pogut modificar les variables de webmin"
        err=1
else
        echo -en "Variables modificades del webmin"
fi

cd $DATA
cp -av config miniserv.users webmin.acl $WEBMIN_CONFIG/
if [ $? -eq 0 ]; then
        echo -en "Fitxers modificats copiats al Webmin"
else
        echo -en "Error:: No s'han pogut copiar els fitxers modificats al Webmin"
fi

