#!/bin/bash

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo -en "[$date] Uninstall - Servidor LDAP users \n"
echo "****************************************************"

. /etc/Linkat/linkat-server/Entorn_env
. /etc/Linkat/linkat-server/.entornvarlinkat

### Backup LDAP users, groups, computers and domain ###

ldapsearch -x -L -D "cn=admin,dc=$DOMINI" -w $PASS_LDAP "objectClass=posixAccount" > $DIR_LDAP/backup/usuaris.backup.$(date +%s).txt

ldapsearch -x -L -D "cn=admin,dc=$DOMINI" -w $PASS_LDAP "objectClass=posixGroup" > $DIR_LDAP/backup/grups.backup.$(date +%s).txt

ldapsearch -x -L -D "cn=admin,dc=$DOMINI" -w $PASS_LDAP "objectClass=sambaDomain" > $DIR_LDAP/backup/domini.backup.$(date +%s).txt

ldapsearch -x -L -D "cn=admin,dc=$DOMINI" -w $PASS_LDAP "objectClass=Machines" > $DIR_LDAP/backup/ordnadors.backup.$(date +%s).txt

