#!/bin/bash

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo -en "[$date] Uninstall - Configuració Xarxa  \n"
echo "****************************************************"

. /etc/Linkat/linkat-server/Entorn_env


res=$(cp $DIR_NET/backup/hosts.orig /etc/hosts 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut tornar /etc/hosts : $res \n"
else
	echo -en "Backup Success: /etc/hosts - Ok\n"
fi

 
res=$(cp $DIR_NET/backup/hostname.orig /etc/hostname 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut tornar /etc/hostname : $res \n"
else
	echo -en "Backup Success: /etc/hostname - Ok\n"
fi
 

res=$(rm /etc/network/interfaces.d/eth0.cfg 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut tornar ../interfaces.d/eth0.cfg : $res \n"
else
	echo -en "Backup Success: ../interfaces.d/eth0.cfg - Ok\n"
fi
 
