#!/bin/bash
#
#

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo -en "[$date] Uninstall - Servidor NFS \n"
echo "****************************************************"

. /etc/Linkat/linkat-server/Entorn_env
 
res=$(cp $DIR_DLNA/backup/minidlna.conf.ori /etc/minidlna.conf 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut tornar /etc/minidlna.conf : $res \n"
else
	echo -en "Backup Success: /etc/minidlna.conf - Ok\n"
fi

res=$(rm -fR /home/lnadmin/.minidlna 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut eliminar directori configuració : $res \n"
else
	echo -en "Backup Success: Eliminat directori configuració - Ok\n"
fi

res=$(rm -fR  /home/lnadmin/.config/autostart 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut eliminar directori d'inici : $res \n"
else
	echo -en "Backup Success: Eliminat directori d'inici - Ok\n"
fi


res=$(rm -fR /usr/share/miniDLNA 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut eliminar directori de refresc : $res \n"
else
	echo -en "Backup Success: Eliminat directori de refresc - Ok\n"
fi



