#!/bin/bash

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo "[$date] Uninstall - Configuració JClic Reports"
echo "****************************************************"

. /etc/Linkat/linkat-server/Entorn_env

res=$(cp $DIR_JCLIC/data/jclicReports.properties /usr/share/tomcat7/jclicReports.properties 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut tornar /etc/bind/named.conf.local : $res \n"
else
	echo -en "Backup Success: /etc/bind/named.conf.local - Ok\n"
fi

res=$(rm /usr/java/packages/lib/ext/mysql-connector-java.jar 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut tornar desfer el link sobre /mysql-connector-java.jar : $res \n"
else
	echo -en "Backup Success: Link sobre /mysql-connector-java.jar desfet - Ok\n"
fi

res=$(cp $DIR_JCLIC/backup/tomcat-users.xml /etc/tomcat7/tomcat-users.xml 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut tornar tomcat-users.xml: $res \n"
else
	echo -en "Backup Success: tomcat-users.xml - Ok\n"
fi


rm /var/lib/tomcat7/webapps/jclicreports.war




