#!/bin/bash

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo -en "[$date] Uninstall - Scannonly \n"
echo "****************************************************"

DIR_CLAMAV=/etc/Linkat/linkat-server/serveis/CLAMAV

res=$(cp $DIR_CLAMAV/backup/smb.conf.ori /etc/samba/smb.conf 2>&1)
if [ ! $? -eq 0 ];then 
	echo -en "Backup Error:: No s'ha pogut tornar /etc/samba/smb.conf: $res \n"
else
	echo -en "Backup Success: /usr/bin/scannedonly_clamd.pl - Ok\n"
fi

res=$(rm /usr/bin/scannedonly_clamd.pl  2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut eliminar /usr/bin/scannedonly_clamd.pl: $res \n"
else
	echo -en "Backup Success: /usr/bin/scannedonly_clamd.pl - Ok\n"
fi

res=$(rm /etc/init.d/linkat-scannedonlyd 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut eliminar /etc/init.d/linkat-scannedonlyd: $res \n"
else
	echo -en "Backup Success: /etc/init.d/linkat-scannedonlyd - Ok\n"
fi

res=$(rm /etc/scannedonly/scannedonly_clamd.conf 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut eliminar /etc/scannedonly/scannedonly_clamd.conf: $res \n"
else
	echo -en "Backup Success: /etc/scannedonly/scannedonly_clamd.conf - Ok\n"
fi

res=$(rm /etc/samba/smb.conf 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut eliminar /etc/samba/smb.conf: $res \n"
else
	echo -en "Backup Success: /etc/samba/smb.conf - Ok\n"
fi

res=$(rm /etc/cron.d/linkat_scan_tasques 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut eliminar /etc/cron.d/linkat_scan_tasques: $res \n"
else
	echo -en "Backup Success: /etc/cron.d/linkat_scan_tasques - Ok\n"
fi



