#!/bin/bash
#
#       91 - Configure Owncloud
#

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo -en "[$date] Uninstall - Owncloud \n"
echo "****************************************************"

. /etc/Linkat/linkat-server/Entorn_env

export pass=`cat $DIR_LINKAT/data/.passwd`

res=$(cp $DIR_OWN/backup/htaccess /etc/owncloud/htaccess 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut tornar htaccess: $res \n"
else
	echo -en "Backup Success: htaccess - Ok\n"
fi

res=$(rm /etc/owncloud/config.php 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut tornar config.php: $res \n"
else
	echo -en "Backup Success: config.php - Ok\n"
fi

res=$(cp $DIR_OWN/backup/apache2.conf /etc/apache2/apache2.conf 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut tornar apache2.conf: $res \n"
else
	echo -en "Backup Success: apache2.conf - Ok\n"
fi

res=$(cp $DIR_OWN/backup/ports.conf /etc/apache2/ports.conf 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut tornar apache2.conf: $res \n"
else
	echo -en "Backup Success: apache2.conf - Ok\n"
fi

res=$(rm /etc/apache2/sites-enabled/owncloud.conf 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut tornar owncloud.conf: $res \n"
else
	echo -en "Backup Success: owncloud.conf - Ok\n"
fi

res=$(mysql --user=root -p$pass < $DIR_OWN/data/drop_database_oc.sql 2>&1)
if [ ! $? -eq 0 ];then 
	echo "Backup Error:: No s'ha pogut eliminar la base de dades owncloud: $res"
else
	echo "Backup Success: S'ha eliminat la BDD owncloud correctament: $res  "
fi


