#!/bin/bash

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo -en "[$date] Uninstall - Servidor LDAP \n"
echo "****************************************************"

. /etc/Linkat/linkat-server/Entorn_env
. /etc/Linkat/linkat-server/.entornvarlinkat

## Uninstall LDAP

mv /etc/ldap.conf $DIR_LDAP/backup/client.ldap.conf.backup.$(date +%s) 
if [ ! $? -eq 0 ];then
                echo "Error:: S'ha produït un error esborrant la configuració del client LDAP"
        else
                echo -e "Esborrada la configuració del client LDAP"
fi

mv /etc/ldap/ldap.conf $DIR_LDAP/backup/server.ldap.conf.backup.$(date +%s)
if [ ! $? -eq 0 ];then
                echo "Error:: S'ha produït un error esborrant la configuració del servidor LDAP"
        else
                echo -e "Esborrada la configuració del servidor LDAP"
fi

killall update-manager update-notifier

dpkg --purge slapd
if [ ! $? -eq 0 ];then
                echo "Error:: S'ha produït un error esborrant el paquet LDAP"
        else
                echo -e "Purge fet del paquet LDAP"
fi

apt-get remove -y --purge ldap-auth-config
if [ ! $? -eq 0 ];then
                echo "Error:: S'ha produït un error esborrant el paquet ldap-auth-config"
        else
                echo -e "Purge fet del paquet ldap-auth-config"
fi
