#!/bin/bash
#
#       80 - Logon scripts
#

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo -en "[$date] Logon scripts \n"
echo "****************************************************"

res_code=0
if [ ! -e /home/logon ];then
	echo -en "Creant directori de logon scripts: "

        res=$(mkdir -m 755 /home/logon 2>&1)
	if [ ! $? -eq 0 ];then
		echo -en "Error:: No s'ha pogut crear el directori /home/logon; $res"
		res_code=1
	else
		echo -en "Ok\n"
	fi
fi

if [ $res_code = 0 ];then
	echo -en "Copiant estructura de logon scripts: "
	res=$(cp /etc/Linkat/data/logon.sh /home/logon 2>&1)
	if [ ! $? -eq 0 ];then
		echo -en "Error:: No s'han pogut copiar el fitxer de logon al directori destí; $res"
	else
		echo -en "Ok\n"
		echo -en "Establint permisos en estructura de logon scripts: "
		res=$(chown -R root.root /home/logon 2>&1)
		if [ ! $? -eq 0 ];then
			echo -en "Error:: Error de permisos al fitxer de logon; $res"
		else
			echo -en "Ok\n"
			echo -en "Establint permisos en fitxer principal de logon scripts: "
			res=$(chmod 600 /home/logon/logon.sh 2>&1)
			if [ ! $? -eq 0 ];then
				echo -en "Error:: Error de permisos al fitxer de logon; $res"
			else
				echo -en "Ok\n"          
			fi
		fi
	fi
fi

if [ ! -e /etc/skel/.gnome2 ];then
	echo -en "Creant estructura de fitxers d'arrancada de Gnome: "
	res=$(mkdir -m 755 /etc/skel/.gnome2 2>&1)
	if [ ! $? -eq 0 ];then
		echo -en "Error:: No s'ha pogut crear el fitxer d'arrancada de gnome: $res"
	else
		echo -en "Ok\n"
	fi
else
	if [ -e /etc/skel/.gnome2/session-manual ];then
		echo -en "Creant còpia de seguretat del fitxer d'arrancada automàtica de Gnome: "
		res=$(mv /etc/skel/.gnome2/session-manual /etc/Linkat/backup/session-manual.orig 2>&1)
		if [ ! $? -eq 0 ];then
			echo -en "Error:: No s'ha pogut fer una copia de seguretat del fitxer session-manual; $res"
		else
			echo -en "Ok\n"
		fi
	fi
fi

echo -en "Creant fitxers d'execució automàtica de Gnome: "
res=$(cp /etc/Linkat/data/session-manual.Linkat /etc/skel/.gnome2/session-manual 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Error:: No s'ha pogut aplicar l'arrancada automàtica de logon scripts; $res"
else
	echo -en "Ok\n"
	echo -en "Establint permisos en el fitxer d'arrancada automàtica de Gnome\n"
	res=$(chmod 444 /etc/skel/.gnome2/session-manual 2>&1)
	if [ ! $? -eq 0 ];then
		echo -en "Error:: Problemes establint permissos a /etc/skel/.gnome2/session-manual ; $res"
	else
		echo -en "Ok\n"
		echo -en "Success: Canvis aplicats per l'execució automàtica de logon scripts dels nous usuaris que es donin d'alta\n"
	fi
fi

