#!/bin/bash

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo "[$date] ClamAv - Scannedonly " 
echo "****************************************************"


DIR_CLAMAV=/etc/Linkat/linkat-server/serveis/CLAMAV

if [ -e /etc/apparmor.d/usr.sbin.clamd ];then
	res=$(rm /etc/apparmor.d/usr.sbin.clamd 2>&1)
	if [ ! $? -eq 0 ];then 
		echo "Error:: No s'ha pogut eliminar el perfil d'usuari apparmor: $res"
	fi
fi

#echo "Configurant Scannedonly:"
#echo "Copiant arxius:"
#executable 
#res=$(cp $DIR_CLAMAV/data/scannedonly_clamd.pl /usr/bin/ 2>&1)
#if [ ! $? -eq 0 ];then 
#	echo "Error:: scannedonly_clamd.pl: $res"
#else
#	echo "scannedonly_clamd.pl - Ok"
#fi

#res=$(chown clamav.root /usr/bin/scannedonly_clamd.pl 2>&1)
#if [ ! $? -eq 0 ];then 
#	echo "Error:: No s'ha pogut canviar d'usuari /usr/bin/scannedonly_clamd.pl: $res"
#else
#	echo "Ok"
#fi

#Gestió daemon
#res=$(cp $DIR_CLAMAV/data/linkat-scannedonlyd /etc/init.d/ 2>&1)
#if [ ! $? -eq 0 ];then 
#	echo "Error:: linkat-scannedonlyd: $res"
#else
#	echo "linkat-scannedonlyd - Ok"
#fi

#if [ -d /etc/scannedonly ];then
#	echo "Warning:: El directori /etc/scannedonly ja existeix"
#else
#	res=$(mkdir /etc/scannedonly 2>&1)
#	if [ ! $? -eq 0 ];then 
#		echo "Error:: No s'ha pogut crear el directori /etc/scannedonly: $res"
#	fi
#fi
#Config daemon
#res=$(cp $DIR_CLAMAV/data/scannedonly_clamd.conf /etc/scannedonly/scannedonly_clamd.conf 2>&1)
#if [ ! $? -eq 0 ];then 
#	echo "Error:: scannedonly_clamd.conf: $res"
#else
#	echo "scannedonly_clamd.conf - Ok"
#fi

#echo "Configurant Scannedonly:"
#Permisos acces usuari clamav
res=$($DIR_CLAMAV/data/acls_antivirus.sh 2>&1)
if [ ! $? -eq 0 ];then 
	echo "Error:: No s'ha pogut aplicar acls: $res"
else
	echo "Success: ACLs aplicats correctament"
fi
#Directori per deixar arxius infectats
if [ -d /var/quarantine ];then
	echo "Warning:: El directori /var/quarantine ja existeix"
else
	res=$(mkdir /var/quarantine 2>&1)
	if [ ! $? -eq 0 ];then 
		echo "Error:: No s'ha pogut crear el directori /var/quarantine: $res"
	else
		echo "Success: Directori de quarentena creat: /var/quarantine "
	fi
fi

res=$(chmod 770 /var/quarantine 2>&1)
if [ ! $? -eq 0 ];then 
	echo "Error:: No s'ha pogut otorgar permisos a /var/quarantine: $res"
fi

res=$(chown clamav.root /var/quarantine 2>&1)
if [ ! $? -eq 0 ];then 
	echo "Error:: No s'ha pogut canviar d'usuari /var/quarantine: $res"
fi

res=$(setfacl -m default:user:lnadmin:rwx -m user:lnadmin:rwx /var/quarantine 2>&1)
if [ ! $? -eq 0 ];then
        echo "Error:: No s'ha pogut otorgar permisos a l'usuari lnadmin a /var/quarantine: $res"
fi

#Arrancar al inici
#res=$(update-rc.d linkat-scannedonlyd defaults 2>&1)
#if [ ! $? -eq 0 ];then 
#	echo "Error:: No s'ha pogut afegir a l'inici linkat-scannedonlyd: $res"
#else
#	echo "Success: S'afegeix a l'inici del sistema"
#fi


#Tareas de neteja per cron
res=$(cp $DIR_CLAMAV/data/linkat-clamdscan /etc/cron.daily/linkat-clamdscan 2>&1)
if [ ! $? -eq 0 ];then
        echo "Error:: No s'ha pogut afegir les tasques d'antivirus al crontab: $res"
else
        echo "Success: Tasques de neteja programades"
fi

# Configurant el daemon del clamav
res=$(cp $DIR_CLAMAV/data/clamd.conf /etc/clamav/clamd.conf 2>&1)
if [ ! $? -eq 0 ];then
        echo "Error:: No s'ha pogut afegir la configuració del clamd.conf: $res"
else
        echo "Success: S'ha afegit la configuració del clamd.conf"
fi
