#!/bin/bash
#
#       20 - Configure bind server
#


date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo -en "[$date] Servidor DNS \n"
echo "****************************************************"

. /etc/Linkat/linkat-server/.entornvarlinkat

res=$(cp /etc/bind/named.conf.local $DIR_DNS/backup/named.conf.local.ori 2>&1)
if [ ! $? -eq 0 ];then
	echo "Error:: No s'ha pogut fer la còpia de seguretat de named.conf.local:  $res \n" 
fi

res=$(cp /etc/bind/named.conf $DIR_DNS/backup/named.conf.ori 2>&1)
if [ ! $? -eq 0 ];then
        echo "Error:: No s'ha pogut fer la còpia de seguretat de named.conf:  $res \n"
fi

res=$(cp /etc/bind/named.conf.options $DIR_DNS/backup/named.conf.options.ori 2>&1)
if [ ! $? -eq 0 ];then
        echo "Error:: No s'ha pogut fer la còpia de seguretat de named.conf.options:  $res \n"
fi

res=$(cp /etc/resolv.conf $DIR_DNS/backup/resolv.conf.ori 2>&1)
if [ ! $? -eq 0 ];then
        echo "Error:: No s'ha pogut fer la còpia de seguretat de resolv.conf:  $res \n"
fi




res=$(cat $DIR_DNS/data/named.conf.options.Linkat | sed s/__DNS1__/$DNS1/g | sed s/__DNS2__/$DNS2/g > /etc/bind/named.conf.options 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Error: No es poden cofigurar les dns's:  $res \n"        
else
	echo -en "Success: S'han configurat les DNS \n"
fi

	export IP1=$(echo $NEW_IP | cut -d "." -f 1 2>&1)
	export IP2=$(echo $NEW_IP | cut -d "." -f 2 2>&1)
	export IP3=$(echo $NEW_IP | cut -d "." -f 3 2>&1)
	export IP4=$(echo $NEW_IP | cut -d "." -f 4 2>&1)


echo -en "S'està configurant la zona DNS $DOMINI: "
res=$(cat $DIR_DNS/data/named.conf.local.Linkat | sed s/__DOMINI__/$DOMINI/g | sed s/__IP3__/$IP3/g | sed s/__IP2__/$IP2/g | sed s/__IP1__/$IP1/g > /etc/bind/named.conf.local 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Error: No es poden cofigurar les zones:  $res \n"        
else
	echo -en "Success: S'han configurat les zones \n"
fi


# archiu zona inversa

res=$(cat $DIR_DNS/data/zona_reverse.Linkat | sed s/__DOMINI__/$DOMINI/g | sed s/__IP4__/$IP4/g | sed s/__IP3__/$IP3/g | sed s/__IP2__/$IP2/g | sed s/__IP1__/$IP1/g | sed s/__NOM__/$NOM/g > /etc/bind/db.$IP1.$IP2.$IP3.zone 2>&1)

if [ ! $? -eq 0 ];then
	echo -en "Error:: S'ha produït un error al crear la zona inversa $DOMINI:  $res \n" 
else
	echo -en "Success: S'ha configurat la zona inversa $DOMINI \n"
fi


# archiu zona

res=$(cat $DIR_DNS/data/zona.Linkat | sed s/__DOMINI__/$DOMINI/g | sed s/__IP4__/$IP4/g | sed s/__IP3__/$IP3/g | sed s/__IP2__/$IP2/g | sed s/__IP1__/$IP1/g | sed s/__NOM__/$NOM/g > /etc/bind/db.$DOMINI 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Error:: S'ha produït un error al crear la zona $DOMINI:  $res \n" 
else
	echo -en "Success: S'ha configurat la zona $DOMINI \n"
fi


## Reinici

res=$(/etc/init.d/bind9 restart)
if [ $? -eq 0 ];then
	echo "Servei bind9 reiniciat:  $res \n"
else 
	echo "Error::  No es possible reiniciar el servei bind9:  $res \n"
fi




