#!/bin/bash

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo "[$date] Configuració LDAP server"
echo "****************************************************"


. /etc/Linkat/linkat-server/Entorn_env
. /etc/Linkat/linkat-server/.entornvarlinkat

RUTA="/etc/Linkat/linkat-server/serveis/LDAP/install/"
cd $RUTA

./00-variables.sh
./01-install-paquet-ldap.sh
./02-populating-ldap.sh
./04-logging.sh
./05-cert-ssl.sh
./06-ldap-auth.sh
