#!/bin/bash
echo -en  "\n***04-logging \n"
. /etc/Linkat/linkat-server/serveis/LDAP/install/config-ldap

err=0

sudo ldapmodify -Q -Y EXTERNAL -H ldapi:/// -f $DATA/logging.ldif

if [ ! $? -eq 0 ]; then
        echo -en "Error:: No s'ha pogut modificat LDAP amb logging.ldif"
        err=1
else
        echo -en "Succeed: LDAP modificat amb logging.ldif"
fi

sudo mkdir -p /etc/rsyslog.conf.d/
sudo cp $DATA/ldap-syslog.conf /etc/rsyslog.conf.d/

sudo service rsyslog restart

if [ ! $err -eq 0 ]; then
	echo "Alguna cosa no ha anat correctament!" >> $LDAPLOG
else
	echo "Script 04: Tot correcte" >> $LDAPLOG
fi
