#!/bin/bash

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo -en "[$date] Uninstall - Servidor DNS \n"
echo "****************************************************"

. /etc/Linkat/linkat-server/Entorn_env

res=$(cp $DIR_DNS/backup/named.conf.local.ori /etc/bind/named.conf.local 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut tornar /etc/bind/named.conf.local : $res \n"
else
	echo -en "Backup Success: /etc/bind/named.conf.local - Ok\n"
fi

res=$(cp $DIR_DNS/backup/named.conf.ori /etc/bind/named.conf 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut tornar /etc/bind/named.conf : $res \n"
else
	echo -en "Backup Success: /etc/bind/named.conf - Ok\n"
fi

res=$(cp $DIR_DNS/backup/named.conf.options.ori /etc/bind/named.conf.options 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut tornar /etc/bind/named.conf.options : $res \n"
else
	echo -en "Backup Success: /etc/bind/named.conf.options - Ok\n"
fi

res=$(cp $DIR_DNS/backup/resolv.conf.ori /etc/resolv.conf 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Backup Error:: No s'ha pogut tornar /etc/resolv.conf : $res \n"
else
	echo -en "Backup Success: /etc/resolv.conf - Ok\n"
fi


